#ifndef CANDIDACYLISTBOX_H
#define CANDIDACYLISTBOX_H

#include <qlistbox.h>
#include <qstringlist.h>

class CandidacyListBox : public QListBox {
public:
  CandidacyListBox();
  ~CandidacyListBox() { }
  
  void showList(const QPoint& pos, const QStringList& strs, int curridx = 0);
  void showPreviousCandidacy();
  void showNextCandidacy();
  void setFont(const QFont&);
  void hide();
  inline int currentIndex() const { return _curcandcyidx; }

  enum { MAXHEIGHT = 100 };

private:
  int _curcandcyidx;
};

#endif // CANDIDACYLISTBOX_H

